coap_block_t Struct Reference
Block Transfer

Structure of Block options. More...

`#include <block.h>`

## Data Fields

unsigned int | num
| block number More...
unsigned int | m:1
| 1 if more blocks follow, 0 otherwise More...
unsigned int | szx:3
| block size More...

## Detailed Description

Structure of Block options.

Definition at line 36 of file block.h.

## Field Documentation

## m

unsigned int coap_block_t::m

1 if more blocks follow, 0 otherwise

Definition at line 38 of file block.h.

## num

unsigned int coap_block_t::num

block number

Definition at line 37 of file block.h.

## szx

unsigned int coap_block_t::szx

block size

Definition at line 39 of file block.h.

The documentation for this struct was generated from the following file:

- block.h